Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
sObjects Suggested Articles
Salesforce Knowledge must be enabled in your organization. The user must have the “View Articles” permission enabled. The articles suggested include only the articles the user can access, based on the data categories and article types the user has permissions to view.
Articles are suggested based on a relevance algorithm. The suggestedArticles resource is designed to get the IDs of articles relevant to a case, work order, or work order line item. It’s intended to be used with other services that than use the IDs to get article data for display.
Syntax
URI: /services/data/vXX.X/sobjects/sObject/suggestedArticles?language=articleLanguage&subject=subject&description=description.
Formats: JSON, XML
HTTP methods: GET
Authentication: Authorization: Bearer token
Request body: None required
Request parameters
| Parameter | Description |
|---|---|
| articleTypes | Optional. Three-character ID prefixes indicating the desired article types. You can specify multiple values for this parameter in a single REST call, by repeating the parameter name for each value. For example, articleTypes=ka0&articleTypes=ka1. |
| categories | Optional. The name of the data category group and the data category API name (not category title) for desired articles. The syntax is categories={"Group":"Category"}. Characters in the URL might need to be encoded. The same data category group can’t be specified more than once. However, you can specify multiple data category group and data category pairs. For example, categories={"Regions":"Asia","Products":"Laptops"}. |
| description | Text of the description. Valid only for new records without an existing ID and required if subject is null. Article suggestions are based on common keywords in the subject, description, or both. |
| language | Required. Language that the article is written in. |
| limit | Optional. Specifies the maximum number of suggested articles to return. |
| publishStatus | Optional. The article’s publication status. Valid values: Draft–Not published, Online–Published in Salesforce Knowledge, or Archived. |
| subject | Text of the subject. Valid only for new records without an existing ID and required if description is null. Article suggestions are based on common keywords in the subject, description, or both. |
| topics | Optional. The topic of returned articles. For example: topics=outlook&topics=email. |
| validationStatus | Optional. The validation status of returned articles. |
Example categories:
1categories=%7B%22Regions%22%3A%22Asia%22%2C%22
2Products%22%3A%22Laptops%22%7DExample
Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Case/suggestedArticles?
2language=en_US&subject=orange+banana&articleTypes=ka0&articleTypes=ka1
3 -H "Authorization: Bearer token"Example Response Body
1[ {
2 "attributes" : {
3 "type" : "KnowledgeArticleVersion",
4 "url" : "/services/data/v67.0/sobjects/KnowledgeArticleVersion/ka0D00000004CcQ"
5 "Id" : "ka0D00000004CcQ"
6}, {
7 "attributes" : {
8 "type" : "KnowledgeArticleVersion",
9 "url" : "/services/data/v67.0/sobjects/KnowledgeArticleVersion/ka0D00000004CXo"
10 },
11 "Id" : "ka0D00000004CXo"
12} ]